package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProMenuDAO;
import com.philisense.www.mapper.ProMenuMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class ProMenuDAOImpl implements ProMenuDAO {
    @Autowired
    private ProMenuMapper proMenuMapper;
    @Override
    public int deleteByPrimaryKey(String id) {
        return proMenuMapper.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return proMenuMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return proMenuMapper.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return proMenuMapper.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return proMenuMapper.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return proMenuMapper.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return proMenuMapper.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return proMenuMapper.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return proMenuMapper.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return proMenuMapper.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        proMenuMapper.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        proMenuMapper.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        proMenuMapper.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> getProMenuTreeByParentid(Map<String, Object> map) {
        return proMenuMapper.getProMenuTreeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getProMenuTreeByLevelCode(Map<String, Object> map) {
        return proMenuMapper.getProMenuTreeByLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> getAllForProMenuByUserId(Map<String, Object> map) {
        return proMenuMapper.getAllForProMenuByUserId(map);
    }

    @Override
    public List<Map<String, Object>> getProMenuTreeByParentidByUserId(Map<String, Object> map) {
        return proMenuMapper.getProMenuTreeByParentidByUserId(map);
    }

    @Override
    public List<Map<String, Object>> getProMenuTreeByParentidByUserIdAndText(Map<String, Object> map) {
        return proMenuMapper.getProMenuTreeByParentidByUserIdAndText(map);
    }

    @Override
    public List<Map<String, Object>> getTreeParentByTree(List<Map<String, Object>> treedata) {
        return proMenuMapper.getTreeParentByTree(treedata);
    }


}
